/*
A simple example of using switch to toggle the led builtin.
*/
#include <Arduino.h>

#define LED_BUILTIN 2
#define SWITCH_INPUT 4

void setup()
{
    // put your setup code here, to run once:
    pinMode(LED_BUILTIN, OUTPUT);
    pinMode(SWITCH_INPUT, INPUT_PULLUP);
}

void loop()
{
    if (digitalRead(SWITCH_INPUT))
    {
        digitalWrite(LED_BUILTIN, HIGH);
    }
    else
    {
        digitalWrite(LED_BUILTIN, LOW);
    }
    delay(500);
}